POSTCreateAssetIssue

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/createassetissue

Issues a TRC-10 token. An account can only issue a TRC-10 token once.

Request Body
owner_addressstringrequired

Token issuer's address. (Format: Base58 or Hex)

namestring

Token name (Default: Hex). Example: 0x6173736574497373756531353330383934333132313538

abbrstring

Token's abbreviation or symbol. Example: 0x6162627231353330383934333132313538

total_supplyinteger (int64)

Total supply of the TRC-10 token.

trx_numinteger (int64)

Defines the price ratio as trx_num / num. (Unit of 'trx_num': sun)

numinteger (int64)

Defines the price ratio as trx_num / num. (Unit of 'trx_num': sun)

start_timeinteger (int64)

ICO start time. (Unit: millisecond)

end_timeinteger (int64)

ICO End time. (Unit: millisecond)

descriptionstring

Description of the TRC-10 token (Default: Hex). Example: 0x4578616d706c654465736372697074696f6e

urlstring

URL of the official website (Default: Hex). Example: 0x7777772e6578616d706c652e636f6d

free_asset_net_limitinteger (int64)

Free Bandwidth limit for TRC-10 token transfers.

public_free_asset_net_limitinteger (int64)

Total public free Bandwidth limit for a TRC-10 token.

frozen_supplystring (json)

List of frozen supply objects for the TRC-10 token. Example: {"frozen_amount":1,"frozen_days":2}

precisioninteger (int32)

Token precision (number of decimal places).

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Permission_idinteger (int32)

Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.

Responses
owner_addressstring

Token issuer's address.

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/createassetissue" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "name": "0x6173736574497373756531353330383934333132313538",
  "abbr": "0x6162627231353330383934333132313538",
  "total_supply": 4321,
  "trx_num": 1,
  "num": 1,
  "precision": 0,
  "start_time": 1790899200000,
  "end_time": 1822435200000,
  "description": "0x4578616d706c654465736372697074696f6e",
  "url": "0x7777772e6578616d706c652e636f6d",
  "free_asset_net_limit": 10000,
  "public_free_asset_net_limit": 10000,
  "frozen_supply": {
    "frozen_amount": 1,
    "frozen_days": 2
  },
  "visible": true
}'
Response
Example · 200
{
  "owner_address": "string"
}